## scipy 1.4.1

=== doc/sphinxext/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nWT --keep-going
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf auto_examples/
	-rm -rf generated/*
	-rm -rf modules/generated/*

html:
	# These two lines make the build a bit more lengthy, and the
	# the embedding of images more robust
	rm -rf $(BUILDDIR)/html/_images
	#rm -rf _build/doctrees/
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/project-template.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/project-template.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/project-template"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/project-template"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## scipy 1.3.3

=== debian/changelog ===
scipy (1.3.3-3ubuntu0.1~esm1) focal-security; urgency=medium

  * SECURITY UPDATE: memory leak issue
    - debian/patches/CVE-2023-25399.patch: fix two refcounting issues in
      ndimage
    - CVE-2023-25399
  * SECURITY UPDATE: use-after-free issue
    - debian/patches/CVE-2023-29824.patch: Fix use-after-free bug in
      Py_FindObjects
    - CVE-2023-29824

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 12 Jul 2023 13:55:24 +0530

scipy (1.3.3-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:47:04 +0100

scipy (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * skip sparsetools.TestInt32Overflow tests test_bsr_1_block and
    test_bsr_n_block (they regularly timeout)

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Dec 2019 10:22:05 +0800

scipy (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * add debian patches to avoid internet connections when using docs
    - css_font_OpenSans.patch adapts font settings from
      https://fonts.googleapis.com/css?family=Open+Sans
      (Apache 2.0 licence)
    - css_font_local.patch uses local font_OpenSans.css from
      css_font_OpenSans.patch
    - python-scipy-doc Depends: fonts-open-sans
    - Closes: #873433.
  * debian patch fix_custom_sampling_input_2b3ed61.patch applies
    upstream commit 2b3ed61 to fix syntax. Closes: #945093.

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2019 00:30:25 +0800

scipy (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * change source package name to scipy for python3-only, to
    distinguish from python-scipy which supports python2.
  * update Vcs salsa repo name to scipy (from python-scipy)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2019 20:53:58 +0800

python-scipy (1.3.1-1exp3) experimental; urgency=medium

  * Team upload.
  * update versioned Build-Depends: python3-numpy (>= 1:1.13.3)
    and cython3 (>= 0.29.2)
  * Patch fix_test_NAN_input_iv_7806757.diff applies upstream commit
    7806757 to fix tests on hppa, riscv64, sparc64. Closes: #934806.

 -- Drew Parsons <dparsons@debian.org>  Fri, 16 Aug 2019 13:20:27 +0800

python-scipy (1.3.1-1exp2) experimental; urgency=medium

  * Team upload.
  * build binaries before building docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Aug 2019 18:45:38 +0800

python-scipy (1.3.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - drops support for Python 2 (python-scipy is no longer provided)
    - applies patches
      matrix_API_614847c5.patch
      matrix_API_filter_check_87e48c3c5.patch
      matrix_API_more_e0cfa29e2.patch
      fix_test_optim_canonical_constraint_2d7e7e8c.patch
  * adjust skipping of spatial tests according to context of test
    (openblas,atlas specify scipy.spatial)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Aug 2019 15:04:07 +0800

python-scipy (1.2.2-8) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Drew Parsons ]
  * only build docs for default python3. Closes: #942794.
    - apply dh_auto_install to arch-dependent packages only

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2019 02:32:19 +0800

python-scipy (1.2.2-7) unstable; urgency=medium

  * Team upload.
  * Patch fix_test_NAN_input_iv_7806757.diff applies upstream commit
    7806757 to fix tests on mipsel, hppa, riscv64, sparc64
    (taken from 1.3.1-1exp3)

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2019 20:37:32 +0800

python-scipy (1.2.2-6) unstable; urgency=medium

  * Team upload.
  * atlas, openblas tests Depends: python3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2019 01:47:34 +0800

python-scipy (1.2.2-5) unstable; urgency=medium

  * Team upload.
  * adjust skipping of sparse and spatial tests according to context
    of test (openblas and atlas specify scipy.sparse, scipy.spatial)
  * run atlas and openblas tests with python3 not python2

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2019 11:42:02 +0800

python-scipy (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch Use-system-LBFGSB.patch:
    run test_minimize_l_bfgs_maxls with rtol=1e-5

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 09:28:55 +0800

python-scipy (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * run build-time tests over all versions of python3
  * Build-Depends: liblbfgsb-dev and add Debian patch
    Use-system-LBFGSB.patch to use the system L-BFGS-B library (which
    uses LAPACK rather than the scipy-bundled LINPACK)
    Enables test_minimize_l_bfgs_maxls in scipy.optimize to succeed.
    Thanks Gard Spreemann. Closes: #778635.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 00:26:20 +0800

python-scipy (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 12
    - run configure build step through pybuild to get consistent
      build directories
    - set PYLIBPATH to pybuild build directory
  * debian/rules: use AUTOPKGTEST_TMP instead of ADTTMP to run tests
  * v1.2.2 fixes indexing in fftpack. Closes: #924396.
  * drop ignore_DeprecationWarning_diff1.2.patch (already applied in
    scipy 1.2)
  * Register docs with doc-base. Closes: #846253.
  * debian/tests/python3: skip tests of
    scipy.spatial.tests.test__plotutils.TestPlotting
    (see https://github.com/scipy/scipy/issues/9946)

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2019 18:43:34 +0800

python-scipy (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * configure debian/watch to grab tar.xz rather than tar.gz
    (for smaller tarballs)
  * debian/rules: build with dh --buildsystem=pybuild
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jul 2019 15:22:36 +0800

python-scipy (1.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.



=== debian/control ===
Source: scipy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Build-Depends: cython3 (>= 0.29.2),
               debhelper-compat (= 12),
               dh-python,
               gfortran,
               libblas-dev,
               liblapack-dev,
               liblbfgsb-dev,
               libsuitesparse-dev (>= 3.1.0-3),
               python3-all-dbg,
               python3-all-dev,
               python3-decorator,
               python3-numpy (>= 1:1.13.3),
               python3-numpy-dbg,
               python3-pytest,
               python3-setuptools
Build-Depends-Indep: dvipng,
                     python3-doc,
                     python3-docutils,
                     python3-matplotlib,
                     python3-numpydoc,
                     python3-sphinx,
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra
Standards-Version: 4.4.1
Homepage: http://www.scipy.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/scipy.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/scipy

Package: python3-scipy
Architecture: any
Depends: python3-decorator,
         python3-numpy (>= 1:1.7.2),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: g++ | c++-compiler, python3-pil
Suggests: python-scipy-doc
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python3-scipy-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: python3-dbg,
         python3-numpy-dbg (>= 1:1.7.2),
         python3-scipy (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: scientific tools for Python 3 - debugging symbols
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package provides debugging symbols for python3-scipy.

Package: python-scipy-doc
Depends: fonts-open-sans,
         libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Section: doc
Architecture: all
Multi-Arch: foreign
Description: scientific library for Python - documentation
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package contains documentation for the SciPy library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scipy

include /usr/share/dpkg/architecture.mk

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None
export PATH := $(CURDIR)/debian/extra_bin:$(PATH)

PY3VERS:= $(shell py3versions -v -r debian/control)
PY3_DEFAULT:= $(shell py3versions -d)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf build
	-rm -rf doc/source/fontList.cache
	-rm -rf doc/build
	-rm -rf debian/extra_bin
	find . -name "*.pyc" -exec rm {} \;
	dh_clean

override_dh_auto_configure:
	rm -f cythonize.dat
	touch scipy/linalg/_generate_pyx.py scipy/special/_generate_pyx.py
	python3 tools/cythonize.py

build-python%:
	pybuild -p$* --configure --configure-args "config_fc --noarch build"
	CFLAGS="-g -ggdb" \
          pybuild -p$* -ipython$*-dbg --configure --configure-args "config_fc --noarch build"

override_dh_auto_build-arch: $(PY3VERS:%=build-python%)

override_dh_auto_build-indep: build-$(PY3_DEFAULT)
	# generate documentation (see comment below) needs compiled scipy
	(export MPLCONFIGDIR=. ; \
	PYLIBPATH=`pybuild --print build_dir | grep $(PY3_DEFAULT) | awk '{print $$3}'`; \
	echo "building docs using PYLIBPATH=$$PYLIBPATH"; \
	make -C doc html PYTHONPATH=$$PYLIBPATH PYVER=3)

override_dh_auto_test:
	echo "Build-time tests will be run after the installation dir is installed"

override_dh_auto_install:
	dh_auto_install -a -- --install-args "--root $(BASE)/tmp --force --no-compile --install-layout=deb";

override_dh_install-arch:
	dh_install
	find debian/python3-scipy -type f -name '*.cpython-3?d*.so' -delete
	find debian/python3-scipy-dbg ! -type d ! -name '*.cpython-3?d*.so' -delete
	find debian/python3-scipy-dbg -depth -empty -exec rmdir {} \;
	rm -fr $(BASE)/python-scipy*/usr/lib/python*/*-packages/scipy/weave/examples/

	# drop all the installed setup.py files
	find $(BASE)/ -name setup.py -delete
	find $(BASE)/ -name generate_ufuncs.py -delete

	set -e && for py in $(PY3VERS); do \
	  ln -sf /usr/lib/python3/dist-packages/decorator.py $(BASE)/python3-scipy/usr/lib/python$$py/dist-packages/scipy/_lib/decorator.py; \
	done

	# not ported to py3 in 0.10.1
	rm -rf $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/weave

	dh_numpy3
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p $(TMPDIR)
	-set -e && for pyvers in $(PY3VERS); do \
	  AUTOPKGTEST_TMP=$(TMPDIR) \
	  PYTHONPATH=$(BASE)/python3-scipy/usr/lib/python$$pyvers/dist-packages/ \
	  PYS=python$$pyvers TESTMODE=fast $(BASE)/tests/python3; \
	done
endif

override_dh_fixperms-arch:
	dh_fixperms
	set -e; for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!' ; then                      \
	    		chmod +x $$i;                                      \
		fi ;                                                       \
	done
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/cluster/tests/test_vq.py
	sed -i '1s|.|#!/usr/bin/python3\n&|' $(BASE)/python3-scipy/usr/lib/python3/dist-packages/scipy/stats/tests/test_stats.py
	#replace all the usr/bin/env python
	find $(BASE)/python3-scipy/usr/lib/python3/ -name "*.py" -type f | xargs sed -i -e "1s#usr/bin/env\s\+python\s*\$$#usr/bin/env python3#"

override_dh_strip:
	dh_strip -ppython3-scipy --dbg-package=python3-scipy-dbg

override_dh_installdocs-indep:
	dh_installdocs -i

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/jquery.js
	dh_link -ppython-scipy-doc /usr/share/javascript/jquery/jquery.js /usr/share/doc/python-scipy-doc/html/_static/jquery.js

	rm -rf debian/python-scipy-doc/usr/share/doc/python-scipy-doc/html/_static/underscore.js
	dh_link -ppython-scipy-doc /usr/share/javascript/underscore/underscore.js /usr/share/doc/python-scipy-doc/html/_static/underscore.js

	dh_sphinxdoc -i -XMathJax.js
	find debian/python-scipy-doc/ -name scipy-mathjax | xargs rm -rf
	rdfind -outputname /dev/null -makesymlinks true -removeidentinode false debian/python-scipy-doc
	symlinks -r -s -c debian/python-scipy-doc

## scipy 1.5.2

=== debian/changelog ===
scipy (1.5.2-2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 13:18:53 +0200

scipy (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest): add a new test case using BLAS=libblis3

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Aug 2020 12:49:57 +0800

scipy (1.5.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - update versioned Build-Depends: cython3 (>= 0.29.18),
      python3-numpy (>= 1:1.14.5), python3-pybind11 (>= 2.4.3)
    - builds with gfortran 10. Closes: #957780.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jul 2020 15:17:18 +0800

scipy (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * bring new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Apr 2020 11:08:42 +0800

scipy (1.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches fix_custom_sampling_input_2b3ed61.patch
      and fix_test_NAN_input_iv_7806757.diff
    - deprecates debian patch use_local_objects.inv.patch
    - Build-Depends: python3-pybind11 (>= 2.4.0)
    - Build-Depends-Indep: python3-sphinx (>= 2~)
  * provide PYTHONPATH as env variable with make doc
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Apr 2020 01:11:18 +0800

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: scipy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
-Build-Depends: cython3 (>= 0.29.2),
-               debhelper-compat (= 12),
+Build-Depends: cython3 (>= 0.29.18),
+               debhelper-compat (= 13),
                dh-python,
                gfortran,
                libblas-dev,
@@ -17,8 +16,9 @@
                python3-all-dbg,
                python3-all-dev,
                python3-decorator,
-               python3-numpy (>= 1:1.13.3),
+               python3-numpy (>= 1:1.14.5),
                python3-numpy-dbg,
+               python3-pybind11 (>= 2.4.3),
                python3-pytest,
                python3-setuptools
 Build-Depends-Indep: dvipng,
@@ -26,12 +26,12 @@
                      python3-docutils,
                      python3-matplotlib,
                      python3-numpydoc,
-                     python3-sphinx,
+                     python3-sphinx (>= 2~),
                      rdfind,
                      symlinks,
                      texlive-latex-base,
                      texlive-latex-extra
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.scipy.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/scipy.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/scipy

## scipy 1.5.3

=== debian/changelog ===
scipy (1.5.3-2) unstable; urgency=medium

  * Team upload.
  * push new upstream release to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Nov 2020 03:33:52 +0800

scipy (1.5.3-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Drew Parsons ]
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 13:32:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: scipy
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
            Varun Hiremath <varun@debian.org>
@@ -33,8 +33,8 @@
                      texlive-latex-extra
 Standards-Version: 4.5.0
 Homepage: http://www.scipy.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/scipy.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/scipy
+Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
 
 Package: python3-scipy
 Architecture: any

## scipy 1.5.4

=== debian/changelog ===
scipy (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 13:36:06 +0800
